# LiveThreadContribution

class `praw.models.reddit.live.``LiveThreadContribution`(thread)

  Provides a set of contribution functions to a LiveThread.

  `__init__`(thread)

    Create an instance of `LiveThreadContribution`.

    Parameters: | thread – An instance of `LiveThread`.

    This instance can be retrieved through `thread.contrib` where thread is a `LiveThread` instance. E.g.,

        thread = reddit.live('ukaeu1ik4sw5')
        thread.contrib.add('### update')

  `add`(body)

    Add an update to the live thread.

    Parameters: | body – The markdown formatted content for the update.

    Usage:

        thread = reddit.live('ydwwxneu7vsa')
        thread.contrib.add('test `LiveThreadContribution.add()`')

  `close`()

    Close the live thread permanently (cannot be undone).

    Usage:

        thread = reddit.live('ukaeu1ik4sw5')
        thread.contrib.close()

  `update`(title=None, description=None, nsfw=None, resources=None, **other_settings)

    Update settings of the live thread.

    Parameters:

    - title – (Optional) The title of the live thread (default: None).
    - description – (Optional) The live thread’s description (default: None).
    - nsfw – (Optional) Indicate whether this thread is not safe for work (default: None).
    - resources – (Optional) Markdown formatted information that is useful for the live thread (default: None).

    Does nothing if no arguments are provided.

    Each setting will maintain its current value if `None` is specified.

    Additional keyword arguments can be provided to handle new settings as Reddit introduces them.

    Usage:

        thread = reddit.live('xyu8kmjvfrww')

        # update `title` and `nsfw`
        updated_thread = thread.contrib.update(title=new_title, nsfw=True)

    If Reddit introduces new settings, you must specify `None` for the setting you want to maintain:

        # update `nsfw` and maintain new setting `foo`
        thread.contrib.update(nsfw=True, foo=None)